Bug 856231 - Firtsboot is called on boot of Soas Live CD
Firtsboot is called on boot of Soas Live CD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
18
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 10:03 EDT by satellitgo
Modified: 2012-12-01 07:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-01 07:28:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description satellitgo 2012-09-11 10:03:09 EDT
Description of problem:
Firtsboot is called on boot of Live CD
Then smolt: when finished
Sugar never starts
ends up with f18 Desktop background and rotating cursor


Version-Release number of selected component (if applicable):
http://dl.fedoraproject.org/pub/alt/stage/18-Alpha-RC2/Live/x86_64/Fedora-18-Alpha-x86_64-Live-SoaS.iso

How reproducible:
Boot CD

Steps to Reproduce:
1.Boot CD
2.
3.
  
Actual results:
Firtsboot
f18 Desktop background and rotating cursor

Expected results:
Log in to live user then start Soas spin

Additional info:suspect the kickstart file used to build this spin is wrong
Comment 1 Brian Lane 2012-09-11 12:05:11 EDT
The spin's ks file needs to temporarily disable firstboot.
Comment 2 Kevin Fenzi 2012-09-11 12:30:49 EDT
Odd, livecd-base kickstart does: 

# turn off firstboot for livecd boots
systemctl --no-reload disable firstboot-text.service 2> /dev/null || :
systemctl --no-reload disable firstboot-graphical.service 2> /dev/null || :
systemctl stop firstboot-text.service 2> /dev/null || :
systemctl stop firstboot-graphical.service 2> /dev/null || :
Comment 3 satellitgo 2012-09-15 11:24:37 EDT
also occurs:
 http://kojipkgs.fedoraproject.org//work/tasks/9779/4479779/Fedora-18-Alpha-i686-Live-SoaS.iso

http://kojipkgs.fedoraproject.org//work/tasks/9779/4479779/fedora-livecd-soas-1c2f651.ks

Shows Plymount sugar ring screen then firstboot and smolt. Starts screen background and then rotating cursor which never changes
Comment 5 satellitgo 2012-10-03 11:47:36 EDT
"fixed" in SoaS Live f18-Beta-TC1
firstboot never appears; goes to gdm but no liveuser account is present:
https://bugzilla.redhat.com/show_bug.cgi?id=862591
Comment 6 Peter Robinson 2012-12-01 07:28:23 EST
I've fixed this and it confirmed working with Fedora-18-Nightly-20121130.16-i686-Live-soas.iso nightly spins compose

Note You need to log in before you can comment on or make changes to this bug.